package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class AdvertTreeCollection extends AbstractObjectCollection 
{
    public AdvertTreeCollection()
    {
        super(AdvertTreeInfo.class);
    }
    public boolean add(AdvertTreeInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(AdvertTreeCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(AdvertTreeInfo item)
    {
        return removeObject(item);
    }
    public AdvertTreeInfo get(int index)
    {
        return(AdvertTreeInfo)getObject(index);
    }
    public AdvertTreeInfo get(Object key)
    {
        return(AdvertTreeInfo)getObject(key);
    }
    public void set(int index, AdvertTreeInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(AdvertTreeInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(AdvertTreeInfo item)
    {
        return super.indexOf(item);
    }
}